DataCubeControllerGetDataCubeAndChildren Method |
GET /DataCube/DataCubeAndChildren/{id}
Retrieves a data cube and it's parent cubes.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("DataCubeAndChildren")]
public IActionResult GetDataCubeAndChildren(
Guid id,
Guid? tenantId = null,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("DataCubeAndChildren")>
Public Function GetDataCubeAndChildren (
id As Guid,
Optional tenantId As Guid? = Nothing,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"DataCubeAndChildren")]
IActionResult^ GetDataCubeAndChildren(
Guid id,
Nullable<Guid> tenantId = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("DataCubeAndChildren")>]
member GetDataCubeAndChildren :
id : Guid *
?tenantId : Nullable<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _tenantId = defaultArg tenantId null
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to retrieve along with child reference data cubes. - tenantId (Optional)
- Type: SystemNullableGuid
The tenant ID. Use null when requesting information for no tenants. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
An array of
DataCubeInfoData object, or a status code indicating the problem.
See Also